<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1" /><title>HttpConstants xref</title>
<link type="text/css" rel="stylesheet" href="../../../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../../../apidocs/org/apache/commons/httpclient/HttpConstants.html">View Javadoc</a></div><pre>

<a name="1" href="#1">1</a>   <em class="comment">/*</em>
<a name="2" href="#2">2</a>   <em class="comment"> * $HeadURL: https://svn.apache.org/repos/asf/httpcomponents/oac.hc3x/trunk/src/java/org/apache/commons/httpclient/HttpConstants.java $</em>
<a name="3" href="#3">3</a>   <em class="comment"> * $Revision$</em>
<a name="4" href="#4">4</a>   <em class="comment"> * $Date$</em>
<a name="5" href="#5">5</a>   <em class="comment"> *</em>
<a name="6" href="#6">6</a>   <em class="comment"> * ====================================================================</em>
<a name="7" href="#7">7</a>   <em class="comment"> *</em>
<a name="8" href="#8">8</a>   <em class="comment"> *  Licensed to the Apache Software Foundation (ASF) under one or more</em>
<a name="9" href="#9">9</a>   <em class="comment"> *  contributor license agreements.  See the NOTICE file distributed with</em>
<a name="10" href="#10">10</a>  <em class="comment"> *  this work for additional information regarding copyright ownership.</em>
<a name="11" href="#11">11</a>  <em class="comment"> *  The ASF licenses this file to You under the Apache License, Version 2.0</em>
<a name="12" href="#12">12</a>  <em class="comment"> *  (the "License"); you may not use this file except in compliance with</em>
<a name="13" href="#13">13</a>  <em class="comment"> *  the License.  You may obtain a copy of the License at</em>
<a name="14" href="#14">14</a>  <em class="comment"> *</em>
<a name="15" href="#15">15</a>  <em class="comment"> *      <a href="http://www.apache.org/licenses/LICENSE-2.0" target="alexandria_uri">http://www.apache.org/licenses/LICENSE-2.0</a></em>
<a name="16" href="#16">16</a>  <em class="comment"> *</em>
<a name="17" href="#17">17</a>  <em class="comment"> *  Unless required by applicable law or agreed to in writing, software</em>
<a name="18" href="#18">18</a>  <em class="comment"> *  distributed under the License is distributed on an "AS IS" BASIS,</em>
<a name="19" href="#19">19</a>  <em class="comment"> *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.</em>
<a name="20" href="#20">20</a>  <em class="comment"> *  See the License for the specific language governing permissions and</em>
<a name="21" href="#21">21</a>  <em class="comment"> *  limitations under the License.</em>
<a name="22" href="#22">22</a>  <em class="comment"> * ====================================================================</em>
<a name="23" href="#23">23</a>  <em class="comment"> *</em>
<a name="24" href="#24">24</a>  <em class="comment"> * This software consists of voluntary contributions made by many</em>
<a name="25" href="#25">25</a>  <em class="comment"> * individuals on behalf of the Apache Software Foundation.  For more</em>
<a name="26" href="#26">26</a>  <em class="comment"> * information on the Apache Software Foundation, please see</em>
<a name="27" href="#27">27</a>  <em class="comment"> * &lt;<a href="http://www.apache.org/" target="alexandria_uri">http://www.apache.org/</a>>.</em>
<a name="28" href="#28">28</a>  <em class="comment"> *</em>
<a name="29" href="#29">29</a>  <em class="comment"> */</em>
<a name="30" href="#30">30</a>  
<a name="31" href="#31">31</a>  <strong>package</strong> <a href="../../../../org/apache/commons/httpclient/package-summary.html">org.apache.commons.httpclient</a>;
<a name="32" href="#32">32</a>  
<a name="33" href="#33">33</a>  <strong>import</strong> java.io.UnsupportedEncodingException;
<a name="34" href="#34">34</a>  
<a name="35" href="#35">35</a>  <strong>import</strong> org.apache.commons.logging.Log;
<a name="36" href="#36">36</a>  <strong>import</strong> org.apache.commons.logging.LogFactory;
<a name="37" href="#37">37</a>  
<a name="38" href="#38">38</a>  
<a name="39" href="#39">39</a>  <em>/**<em>*</em></em>
<a name="40" href="#40">40</a>  <em> * HTTP content conversion routines.</em>
<a name="41" href="#41">41</a>  <em> *</em>
<a name="42" href="#42">42</a>  <em> * @author Oleg Kalnichevski</em>
<a name="43" href="#43">43</a>  <em> * @author &lt;a href="<a href="mailto:mbowler@GargoyleSoftware.com" target="alexandria_uri">mailto:mbowler@GargoyleSoftware.com</a>">Mike Bowler&lt;/a></em>
<a name="44" href="#44">44</a>  <em> * </em>
<a name="45" href="#45">45</a>  <em> * @deprecated use EncodingUtil class</em>
<a name="46" href="#46">46</a>  <em> */</em>
<a name="47" href="#47">47</a>  <strong>public</strong> <strong>class</strong> <a href="../../../../org/apache/commons/httpclient/HttpConstants.html">HttpConstants</a> {
<a name="48" href="#48">48</a>  
<a name="49" href="#49">49</a>      <em>/**<em>* Character set used to encode HTTP protocol elements */</em></em>
<a name="50" href="#50">50</a>      <strong>public</strong> <strong>static</strong> <strong>final</strong> String HTTP_ELEMENT_CHARSET = <span class="string">"US-ASCII"</span>;
<a name="51" href="#51">51</a>  
<a name="52" href="#52">52</a>      <em>/**<em>* Default content encoding chatset */</em></em>
<a name="53" href="#53">53</a>      <strong>public</strong> <strong>static</strong> <strong>final</strong> String DEFAULT_CONTENT_CHARSET = <span class="string">"ISO-8859-1"</span>;
<a name="54" href="#54">54</a>  
<a name="55" href="#55">55</a>      <em>/**<em>* Log object for this class. */</em></em>
<a name="56" href="#56">56</a>      <strong>private</strong> <strong>static</strong> <strong>final</strong> Log LOG = LogFactory.getLog(HttpConstants.<strong>class</strong>);
<a name="57" href="#57">57</a>  
<a name="58" href="#58">58</a>      <em>/**<em>*</em></em>
<a name="59" href="#59">59</a>  <em>     * Converts the specified string to a byte array of HTTP element characters.</em>
<a name="60" href="#60">60</a>  <em>     * This method is to be used when encoding content of HTTP elements (such as</em>
<a name="61" href="#61">61</a>  <em>     * request headers)</em>
<a name="62" href="#62">62</a>  <em>     *</em>
<a name="63" href="#63">63</a>  <em>     * @param data the string to be encoded</em>
<a name="64" href="#64">64</a>  <em>     * @return The resulting byte array.</em>
<a name="65" href="#65">65</a>  <em>     */</em>
<a name="66" href="#66">66</a>      <strong>public</strong> <strong>static</strong> byte[] getBytes(<strong>final</strong> String data) {
<a name="67" href="#67">67</a>          <strong>if</strong> (data == <strong>null</strong>) {
<a name="68" href="#68">68</a>              <strong>throw</strong> <strong>new</strong> IllegalArgumentException(<span class="string">"Parameter may not be null"</span>);
<a name="69" href="#69">69</a>          }
<a name="70" href="#70">70</a>  
<a name="71" href="#71">71</a>          <strong>try</strong> {
<a name="72" href="#72">72</a>              <strong>return</strong> data.getBytes(HTTP_ELEMENT_CHARSET);
<a name="73" href="#73">73</a>          } <strong>catch</strong> (UnsupportedEncodingException e) {
<a name="74" href="#74">74</a>  
<a name="75" href="#75">75</a>              <strong>if</strong> (LOG.isWarnEnabled()) {
<a name="76" href="#76">76</a>                  LOG.warn(<span class="string">"Unsupported encoding: "</span> 
<a name="77" href="#77">77</a>                      + HTTP_ELEMENT_CHARSET 
<a name="78" href="#78">78</a>                      + <span class="string">". System default encoding used"</span>);
<a name="79" href="#79">79</a>              }
<a name="80" href="#80">80</a>  
<a name="81" href="#81">81</a>              <strong>return</strong> data.getBytes();
<a name="82" href="#82">82</a>          }
<a name="83" href="#83">83</a>      }
<a name="84" href="#84">84</a>  
<a name="85" href="#85">85</a>      <em>/**<em>*</em></em>
<a name="86" href="#86">86</a>  <em>     * Converts the byte array of HTTP element characters to a string This</em>
<a name="87" href="#87">87</a>  <em>     * method is to be used when decoding content of HTTP elements (such as</em>
<a name="88" href="#88">88</a>  <em>     * response headers)</em>
<a name="89" href="#89">89</a>  <em>     *</em>
<a name="90" href="#90">90</a>  <em>     * @param data the byte array to be encoded</em>
<a name="91" href="#91">91</a>  <em>     * @param offset the index of the first byte to encode</em>
<a name="92" href="#92">92</a>  <em>     * @param length the number of bytes to encode </em>
<a name="93" href="#93">93</a>  <em>     * @return The resulting string.</em>
<a name="94" href="#94">94</a>  <em>     */</em>
<a name="95" href="#95">95</a>      <strong>public</strong> <strong>static</strong> String getString(<strong>final</strong> byte[] data, <strong>int</strong> offset, <strong>int</strong> length) {
<a name="96" href="#96">96</a>  
<a name="97" href="#97">97</a>          <strong>if</strong> (data == <strong>null</strong>) {
<a name="98" href="#98">98</a>              <strong>throw</strong> <strong>new</strong> IllegalArgumentException(<span class="string">"Parameter may not be null"</span>);
<a name="99" href="#99">99</a>          }
<a name="100" href="#100">100</a> 
<a name="101" href="#101">101</a>         <strong>try</strong> {
<a name="102" href="#102">102</a>             <strong>return</strong> <strong>new</strong> String(data, offset, length, HTTP_ELEMENT_CHARSET);
<a name="103" href="#103">103</a>         } <strong>catch</strong> (UnsupportedEncodingException e) {
<a name="104" href="#104">104</a> 
<a name="105" href="#105">105</a>             <strong>if</strong> (LOG.isWarnEnabled()) {
<a name="106" href="#106">106</a>                 LOG.warn(<span class="string">"Unsupported encoding: "</span> 
<a name="107" href="#107">107</a>                     + HTTP_ELEMENT_CHARSET 
<a name="108" href="#108">108</a>                     + <span class="string">". System default encoding used"</span>);
<a name="109" href="#109">109</a>             }
<a name="110" href="#110">110</a> 
<a name="111" href="#111">111</a>             <strong>return</strong> <strong>new</strong> String(data, offset, length);
<a name="112" href="#112">112</a>         }
<a name="113" href="#113">113</a>     }
<a name="114" href="#114">114</a> 
<a name="115" href="#115">115</a>     <em>/**<em>*</em></em>
<a name="116" href="#116">116</a> <em>     * Converts the byte array of HTTP element characters to a string This</em>
<a name="117" href="#117">117</a> <em>     * method is to be used when decoding content of HTTP elements (such as</em>
<a name="118" href="#118">118</a> <em>     * response headers)</em>
<a name="119" href="#119">119</a> <em>     *</em>
<a name="120" href="#120">120</a> <em>     * @param data the byte array to be encoded</em>
<a name="121" href="#121">121</a> <em>     * @return The resulting string.</em>
<a name="122" href="#122">122</a> <em>     */</em>
<a name="123" href="#123">123</a>     <strong>public</strong> <strong>static</strong> String getString(<strong>final</strong> byte[] data) {
<a name="124" href="#124">124</a>         <strong>return</strong> getString(data, 0, data.length);
<a name="125" href="#125">125</a>     }
<a name="126" href="#126">126</a> 
<a name="127" href="#127">127</a>     <em>/**<em>*</em></em>
<a name="128" href="#128">128</a> <em>     * Converts the specified string to a byte array of HTTP content charachetrs</em>
<a name="129" href="#129">129</a> <em>     * This method is to be used when encoding content of HTTP request/response</em>
<a name="130" href="#130">130</a> <em>     * If the specified charset is not supported, default HTTP content encoding</em>
<a name="131" href="#131">131</a> <em>     * (ISO-8859-1) is applied</em>
<a name="132" href="#132">132</a> <em>     *</em>
<a name="133" href="#133">133</a> <em>     * @param data the string to be encoded</em>
<a name="134" href="#134">134</a> <em>     * @param charset the desired character encoding</em>
<a name="135" href="#135">135</a> <em>     * @return The resulting byte array.</em>
<a name="136" href="#136">136</a> <em>     */</em>
<a name="137" href="#137">137</a>     <strong>public</strong> <strong>static</strong> byte[] getContentBytes(<strong>final</strong> String data, String charset) {
<a name="138" href="#138">138</a> 
<a name="139" href="#139">139</a>         <strong>if</strong> (data == <strong>null</strong>) {
<a name="140" href="#140">140</a>             <strong>throw</strong> <strong>new</strong> IllegalArgumentException(<span class="string">"Parameter may not be null"</span>);
<a name="141" href="#141">141</a>         }
<a name="142" href="#142">142</a> 
<a name="143" href="#143">143</a>         <strong>if</strong> ((charset == <strong>null</strong>) || (charset.equals(<span class="string">""</span>))) {
<a name="144" href="#144">144</a>             charset = DEFAULT_CONTENT_CHARSET;
<a name="145" href="#145">145</a>         }
<a name="146" href="#146">146</a> 
<a name="147" href="#147">147</a>         <strong>try</strong> {
<a name="148" href="#148">148</a>             <strong>return</strong> data.getBytes(charset);
<a name="149" href="#149">149</a>         } <strong>catch</strong> (UnsupportedEncodingException e) {
<a name="150" href="#150">150</a> 
<a name="151" href="#151">151</a>             <strong>if</strong> (LOG.isWarnEnabled()) {
<a name="152" href="#152">152</a>                 LOG.warn(<span class="string">"Unsupported encoding: "</span> 
<a name="153" href="#153">153</a>                     + charset 
<a name="154" href="#154">154</a>                     + <span class="string">". HTTP default encoding used"</span>);
<a name="155" href="#155">155</a>             }
<a name="156" href="#156">156</a> 
<a name="157" href="#157">157</a>             <strong>try</strong> {
<a name="158" href="#158">158</a>                 <strong>return</strong> data.getBytes(DEFAULT_CONTENT_CHARSET);
<a name="159" href="#159">159</a>             } <strong>catch</strong> (UnsupportedEncodingException e2) {
<a name="160" href="#160">160</a> 
<a name="161" href="#161">161</a>                 <strong>if</strong> (LOG.isWarnEnabled()) {
<a name="162" href="#162">162</a>                     LOG.warn(<span class="string">"Unsupported encoding: "</span> 
<a name="163" href="#163">163</a>                         + DEFAULT_CONTENT_CHARSET 
<a name="164" href="#164">164</a>                         + <span class="string">". System encoding used"</span>);
<a name="165" href="#165">165</a>                 }
<a name="166" href="#166">166</a> 
<a name="167" href="#167">167</a>                 <strong>return</strong> data.getBytes();
<a name="168" href="#168">168</a>             }
<a name="169" href="#169">169</a>         }
<a name="170" href="#170">170</a>     }
<a name="171" href="#171">171</a> 
<a name="172" href="#172">172</a>     <em>/**<em>*</em></em>
<a name="173" href="#173">173</a> <em>     * Converts the byte array of HTTP content characters to a string This</em>
<a name="174" href="#174">174</a> <em>     * method is to be used when decoding content of HTTP request/response If</em>
<a name="175" href="#175">175</a> <em>     * the specified charset is not supported, default HTTP content encoding</em>
<a name="176" href="#176">176</a> <em>     * (ISO-8859-1) is applied</em>
<a name="177" href="#177">177</a> <em>     *</em>
<a name="178" href="#178">178</a> <em>     * @param data the byte array to be encoded</em>
<a name="179" href="#179">179</a> <em>     * @param offset the index of the first byte to encode</em>
<a name="180" href="#180">180</a> <em>     * @param length the number of bytes to encode </em>
<a name="181" href="#181">181</a> <em>     * @param charset the desired character encoding</em>
<a name="182" href="#182">182</a> <em>     * @return The result of the conversion.</em>
<a name="183" href="#183">183</a> <em>     */</em>
<a name="184" href="#184">184</a>     <strong>public</strong> <strong>static</strong> String getContentString(
<a name="185" href="#185">185</a>         <strong>final</strong> byte[] data, 
<a name="186" href="#186">186</a>         <strong>int</strong> offset, 
<a name="187" href="#187">187</a>         <strong>int</strong> length, 
<a name="188" href="#188">188</a>         String charset
<a name="189" href="#189">189</a>     ) {
<a name="190" href="#190">190</a> 
<a name="191" href="#191">191</a>         <strong>if</strong> (data == <strong>null</strong>) {
<a name="192" href="#192">192</a>             <strong>throw</strong> <strong>new</strong> IllegalArgumentException(<span class="string">"Parameter may not be null"</span>);
<a name="193" href="#193">193</a>         }
<a name="194" href="#194">194</a> 
<a name="195" href="#195">195</a>         <strong>if</strong> ((charset == <strong>null</strong>) || (charset.equals(<span class="string">""</span>))) {
<a name="196" href="#196">196</a>             charset = DEFAULT_CONTENT_CHARSET;
<a name="197" href="#197">197</a>         }
<a name="198" href="#198">198</a> 
<a name="199" href="#199">199</a>         <strong>try</strong> {
<a name="200" href="#200">200</a>             <strong>return</strong> <strong>new</strong> String(data, offset, length, charset);
<a name="201" href="#201">201</a>         } <strong>catch</strong> (UnsupportedEncodingException e) {
<a name="202" href="#202">202</a> 
<a name="203" href="#203">203</a>             <strong>if</strong> (LOG.isWarnEnabled()) {
<a name="204" href="#204">204</a>                 LOG.warn(<span class="string">"Unsupported encoding: "</span> + charset + <span class="string">". Default HTTP encoding used"</span>);
<a name="205" href="#205">205</a>             }
<a name="206" href="#206">206</a> 
<a name="207" href="#207">207</a>             <strong>try</strong> {
<a name="208" href="#208">208</a>                 <strong>return</strong> <strong>new</strong> String(data, offset, length, DEFAULT_CONTENT_CHARSET);
<a name="209" href="#209">209</a>             } <strong>catch</strong> (UnsupportedEncodingException e2) {
<a name="210" href="#210">210</a> 
<a name="211" href="#211">211</a>                 <strong>if</strong> (LOG.isWarnEnabled()) {
<a name="212" href="#212">212</a>                     LOG.warn(<span class="string">"Unsupported encoding: "</span> 
<a name="213" href="#213">213</a>                         + DEFAULT_CONTENT_CHARSET 
<a name="214" href="#214">214</a>                         + <span class="string">". System encoding used"</span>);
<a name="215" href="#215">215</a>                 }
<a name="216" href="#216">216</a> 
<a name="217" href="#217">217</a>                 <strong>return</strong> <strong>new</strong> String(data, offset, length);
<a name="218" href="#218">218</a>             }
<a name="219" href="#219">219</a>         }
<a name="220" href="#220">220</a>     }
<a name="221" href="#221">221</a> 
<a name="222" href="#222">222</a> 
<a name="223" href="#223">223</a>     <em>/**<em>*</em></em>
<a name="224" href="#224">224</a> <em>     * Converts the byte array of HTTP content characters to a string This</em>
<a name="225" href="#225">225</a> <em>     * method is to be used when decoding content of HTTP request/response If</em>
<a name="226" href="#226">226</a> <em>     * the specified charset is not supported, default HTTP content encoding</em>
<a name="227" href="#227">227</a> <em>     * (ISO-8859-1) is applied</em>
<a name="228" href="#228">228</a> <em>     *</em>
<a name="229" href="#229">229</a> <em>     * @param data the byte array to be encoded</em>
<a name="230" href="#230">230</a> <em>     * @param charset the desired character encoding</em>
<a name="231" href="#231">231</a> <em>     * @return The result of the conversion.</em>
<a name="232" href="#232">232</a> <em>     */</em>
<a name="233" href="#233">233</a>     <strong>public</strong> <strong>static</strong> String getContentString(<strong>final</strong> byte[] data, String charset) {
<a name="234" href="#234">234</a>         <strong>return</strong> getContentString(data, 0, data.length, charset);
<a name="235" href="#235">235</a>     }
<a name="236" href="#236">236</a> 
<a name="237" href="#237">237</a>     <em>/**<em>*</em></em>
<a name="238" href="#238">238</a> <em>     * Converts the specified string to a byte array of HTTP content characters</em>
<a name="239" href="#239">239</a> <em>     * using default HTTP content encoding (ISO-8859-1) This method is to be</em>
<a name="240" href="#240">240</a> <em>     * used when encoding content of HTTP request/response</em>
<a name="241" href="#241">241</a> <em>     *</em>
<a name="242" href="#242">242</a> <em>     * @param data the string to be encoded</em>
<a name="243" href="#243">243</a> <em>     * @return The byte array as above.</em>
<a name="244" href="#244">244</a> <em>     */</em>
<a name="245" href="#245">245</a>     <strong>public</strong> <strong>static</strong> byte[] getContentBytes(<strong>final</strong> String data) {
<a name="246" href="#246">246</a>         <strong>return</strong> getContentBytes(data, <strong>null</strong>);
<a name="247" href="#247">247</a>     }
<a name="248" href="#248">248</a> 
<a name="249" href="#249">249</a>     <em>/**<em>*</em></em>
<a name="250" href="#250">250</a> <em>     * Converts the byte array of HTTP content characters to a string using</em>
<a name="251" href="#251">251</a> <em>     * default HTTP content encoding (ISO-8859-1) This method is to be used when</em>
<a name="252" href="#252">252</a> <em>     * decoding content of HTTP request/response</em>
<a name="253" href="#253">253</a> <em>     *</em>
<a name="254" href="#254">254</a> <em>     * @param data the byte array to be encoded</em>
<a name="255" href="#255">255</a> <em>     * @param offset the index of the first byte to encode</em>
<a name="256" href="#256">256</a> <em>     * @param length the number of bytes to encode </em>
<a name="257" href="#257">257</a> <em>     * @return The string representation of the byte array.</em>
<a name="258" href="#258">258</a> <em>     */</em>
<a name="259" href="#259">259</a>     <strong>public</strong> <strong>static</strong> String getContentString(<strong>final</strong> byte[] data, <strong>int</strong> offset, <strong>int</strong> length) {
<a name="260" href="#260">260</a>         <strong>return</strong> getContentString(data, offset, length, <strong>null</strong>);
<a name="261" href="#261">261</a>     }
<a name="262" href="#262">262</a> 
<a name="263" href="#263">263</a>     <em>/**<em>*</em></em>
<a name="264" href="#264">264</a> <em>     * Converts the byte array of HTTP content characters to a string using</em>
<a name="265" href="#265">265</a> <em>     * default HTTP content encoding (ISO-8859-1) This method is to be used when</em>
<a name="266" href="#266">266</a> <em>     * decoding content of HTTP request/response</em>
<a name="267" href="#267">267</a> <em>     *</em>
<a name="268" href="#268">268</a> <em>     * @param data the byte array to be encoded</em>
<a name="269" href="#269">269</a> <em>     * @return The string representation of the byte array.</em>
<a name="270" href="#270">270</a> <em>     */</em>
<a name="271" href="#271">271</a>     <strong>public</strong> <strong>static</strong> String getContentString(<strong>final</strong> byte[] data) {
<a name="272" href="#272">272</a>         <strong>return</strong> getContentString(data, <strong>null</strong>);
<a name="273" href="#273">273</a>     }
<a name="274" href="#274">274</a> 
<a name="275" href="#275">275</a>     <em>/**<em>*</em></em>
<a name="276" href="#276">276</a> <em>     * Converts the specified string to byte array of ASCII characters.</em>
<a name="277" href="#277">277</a> <em>     *</em>
<a name="278" href="#278">278</a> <em>     * @param data the string to be encoded</em>
<a name="279" href="#279">279</a> <em>     * @return The string as a byte array.</em>
<a name="280" href="#280">280</a> <em>     */</em>
<a name="281" href="#281">281</a>     <strong>public</strong> <strong>static</strong> byte[] getAsciiBytes(<strong>final</strong> String data) {
<a name="282" href="#282">282</a> 
<a name="283" href="#283">283</a>         <strong>if</strong> (data == <strong>null</strong>) {
<a name="284" href="#284">284</a>             <strong>throw</strong> <strong>new</strong> IllegalArgumentException(<span class="string">"Parameter may not be null"</span>);
<a name="285" href="#285">285</a>         }
<a name="286" href="#286">286</a> 
<a name="287" href="#287">287</a>         <strong>try</strong> {
<a name="288" href="#288">288</a>             <strong>return</strong> data.getBytes(<span class="string">"US-ASCII"</span>);
<a name="289" href="#289">289</a>         } <strong>catch</strong> (UnsupportedEncodingException e) {
<a name="290" href="#290">290</a>             <strong>throw</strong> <strong>new</strong> RuntimeException(<span class="string">"HttpClient requires ASCII support"</span>);
<a name="291" href="#291">291</a>         }
<a name="292" href="#292">292</a>     }
<a name="293" href="#293">293</a> 
<a name="294" href="#294">294</a>     <em>/**<em>*</em></em>
<a name="295" href="#295">295</a> <em>     * Converts the byte array of ASCII characters to a string. This method is</em>
<a name="296" href="#296">296</a> <em>     * to be used when decoding content of HTTP elements (such as response</em>
<a name="297" href="#297">297</a> <em>     * headers)</em>
<a name="298" href="#298">298</a> <em>     *</em>
<a name="299" href="#299">299</a> <em>     * @param data the byte array to be encoded</em>
<a name="300" href="#300">300</a> <em>     * @param offset the index of the first byte to encode</em>
<a name="301" href="#301">301</a> <em>     * @param length the number of bytes to encode </em>
<a name="302" href="#302">302</a> <em>     * @return The string representation of the byte array</em>
<a name="303" href="#303">303</a> <em>     */</em>
<a name="304" href="#304">304</a>     <strong>public</strong> <strong>static</strong> String getAsciiString(<strong>final</strong> byte[] data, <strong>int</strong> offset, <strong>int</strong> length) {
<a name="305" href="#305">305</a> 
<a name="306" href="#306">306</a>         <strong>if</strong> (data == <strong>null</strong>) {
<a name="307" href="#307">307</a>             <strong>throw</strong> <strong>new</strong> IllegalArgumentException(<span class="string">"Parameter may not be null"</span>);
<a name="308" href="#308">308</a>         }
<a name="309" href="#309">309</a> 
<a name="310" href="#310">310</a>         <strong>try</strong> {
<a name="311" href="#311">311</a>             <strong>return</strong> <strong>new</strong> String(data, offset, length, <span class="string">"US-ASCII"</span>);
<a name="312" href="#312">312</a>         } <strong>catch</strong> (UnsupportedEncodingException e) {
<a name="313" href="#313">313</a>             <strong>throw</strong> <strong>new</strong> RuntimeException(<span class="string">"HttpClient requires ASCII support"</span>);
<a name="314" href="#314">314</a>         }
<a name="315" href="#315">315</a>     }
<a name="316" href="#316">316</a> 
<a name="317" href="#317">317</a>     <em>/**<em>*</em></em>
<a name="318" href="#318">318</a> <em>     * Converts the byte array of ASCII characters to a string. This method is</em>
<a name="319" href="#319">319</a> <em>     * to be used when decoding content of HTTP elements (such as response</em>
<a name="320" href="#320">320</a> <em>     * headers)</em>
<a name="321" href="#321">321</a> <em>     *</em>
<a name="322" href="#322">322</a> <em>     * @param data the byte array to be encoded</em>
<a name="323" href="#323">323</a> <em>     * @return The string representation of the byte array</em>
<a name="324" href="#324">324</a> <em>     */</em>
<a name="325" href="#325">325</a>     <strong>public</strong> <strong>static</strong> String getAsciiString(<strong>final</strong> byte[] data) {
<a name="326" href="#326">326</a>         <strong>return</strong> getAsciiString(data, 0, data.length);
<a name="327" href="#327">327</a>     }
<a name="328" href="#328">328</a> }
</pre>
<hr/><div id="footer">This page was automatically generated by <a href="http://maven.apache.org/">Maven</a></div></body>
</html>

